import { Customer } from "./customer";
import { CustomerOptions } from "./types";
import { Hooks } from "./hooks";
import { services } from "./protos";
export interface ClientOptions {
    client_id: string;
    client_secret: string;
    developer_token: string;
    disable_parsing?: boolean;
    max_reporting_rows?: number;
}
export declare class Client {
    private readonly options;
    constructor(options: ClientOptions);
    Customer(customerOptions: CustomerOptions, hooks?: Hooks): Customer;
    listAccessibleCustomers(refreshToken: string): Promise<services.ListAccessibleCustomersResponse>;
}
