import { ReportOptions } from "./types";
import { services } from "./protos";
export declare const ParsingError: {
    NO_REPORT_OPTIONS_OR_GAQL_QUERY: string;
    NO_FIELDS_IN_GAQL_QUERY: string;
    NO_FIELDS_IN_REPORT_OPTIONS: string;
};
/**
  @description Parse the results of a query
  @example
  const parsedResults = parse({ results, reportOptions })
  const parsedResults = parse({ results, gaqlString })
*/
export declare function parse({ results, reportOptions, gaqlString, }: {
    results: services.IGoogleAdsRow[];
    reportOptions?: ReportOptions;
    gaqlString?: string;
}): services.IGoogleAdsRow[];
export declare function getGAQLFields(gaqlString: string): string[];
export declare function getReportOptionFields(reportOptions: ReportOptions): string[];
export declare function parseRows(rows: services.IGoogleAdsRow[], fields: string[]): services.IGoogleAdsRow[];
