type StrNum = string | number;
export type AccessibleBiddingStrategyResourceName = `customers/${StrNum}/accessibleBiddingStrategies/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} biddingStrategyId
 * @returns `AccessibleBiddingStrategyResourceName`
 * @example const accessibleBiddingStrategy: ResourceNames.AccessibleBiddingStrategyResourceName = ResourceNames.accessibleBiddingStrategy(10987417, 21974834)
 */
export declare function accessibleBiddingStrategy(customerId: string | number, biddingStrategyId: string | number): AccessibleBiddingStrategyResourceName;
export type AccountBudgetResourceName = `customers/${StrNum}/accountBudgets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} accountBudgetId
 * @returns `AccountBudgetResourceName`
 * @example const accountBudget: ResourceNames.AccountBudgetResourceName = ResourceNames.accountBudget(10987417, 21974834)
 */
export declare function accountBudget(customerId: string | number, accountBudgetId: string | number): AccountBudgetResourceName;
export type AccountBudgetProposalResourceName = `customers/${StrNum}/accountBudgetProposals/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} accountBudgetProposalId
 * @returns `AccountBudgetProposalResourceName`
 * @example const accountBudgetProposal: ResourceNames.AccountBudgetProposalResourceName = ResourceNames.accountBudgetProposal(10987417, 21974834)
 */
export declare function accountBudgetProposal(customerId: string | number, accountBudgetProposalId: string | number): AccountBudgetProposalResourceName;
export type AccountLinkResourceName = `customers/${StrNum}/accountLinks/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} accountLinkId
 * @returns `AccountLinkResourceName`
 * @example const accountLink: ResourceNames.AccountLinkResourceName = ResourceNames.accountLink(10987417, 21974834)
 */
export declare function accountLink(customerId: string | number, accountLinkId: string | number): AccountLinkResourceName;
export type AdResourceName = `customers/${StrNum}/ads/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adId
 * @returns `AdResourceName`
 * @example const ad: ResourceNames.AdResourceName = ResourceNames.ad(10987417, 21974834)
 */
export declare function ad(customerId: string | number, adId: string | number): AdResourceName;
export type AdGroupResourceName = `customers/${StrNum}/adGroups/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @returns `AdGroupResourceName`
 * @example const adGroup: ResourceNames.AdGroupResourceName = ResourceNames.adGroup(10987417, 21974834)
 */
export declare function adGroup(customerId: string | number, adGroupId: string | number): AdGroupResourceName;
export type AdGroupAdResourceName = `customers/${StrNum}/adGroupAds/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} adId
 * @returns `AdGroupAdResourceName`
 * @example const adGroupAd: ResourceNames.AdGroupAdResourceName = ResourceNames.adGroupAd(10987417, 21974834, 43949668)
 */
export declare function adGroupAd(customerId: string | number, adGroupId: string | number, adId: string | number): AdGroupAdResourceName;
export type AdGroupAdAssetCombinationViewResourceName = `customers/${StrNum}/adGroupAdAssetCombinationViews/${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} adId
 * @param {string | number} assetCombinationIdLow
 * @param {string | number} assetCombinationIdHigh
 * @returns `AdGroupAdAssetCombinationViewResourceName`
 * @example const adGroupAdAssetCombinationView: ResourceNames.AdGroupAdAssetCombinationViewResourceName = ResourceNames.adGroupAdAssetCombinationView(10987417, 21974834, 43949668, 87899336, 175798672)
 */
export declare function adGroupAdAssetCombinationView(customerId: string | number, adGroupId: string | number, adId: string | number, assetCombinationIdLow: string | number, assetCombinationIdHigh: string | number): AdGroupAdAssetCombinationViewResourceName;
export type AdGroupAdAssetViewResourceName = `customers/${StrNum}/adGroupAdAssetViews/${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} adId
 * @param {string | number} assetId
 * @param {string | number} fieldType
 * @returns `AdGroupAdAssetViewResourceName`
 * @example const adGroupAdAssetView: ResourceNames.AdGroupAdAssetViewResourceName = ResourceNames.adGroupAdAssetView(10987417, 21974834, 43949668, 87899336, 175798672)
 */
export declare function adGroupAdAssetView(customerId: string | number, adGroupId: string | number, adId: string | number, assetId: string | number, fieldType: string | number): AdGroupAdAssetViewResourceName;
export type AdGroupAdLabelResourceName = `customers/${StrNum}/adGroupAdLabels/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} adId
 * @param {string | number} labelId
 * @returns `AdGroupAdLabelResourceName`
 * @example const adGroupAdLabel: ResourceNames.AdGroupAdLabelResourceName = ResourceNames.adGroupAdLabel(10987417, 21974834, 43949668, 87899336)
 */
export declare function adGroupAdLabel(customerId: string | number, adGroupId: string | number, adId: string | number, labelId: string | number): AdGroupAdLabelResourceName;
export type AdGroupAssetResourceName = `customers/${StrNum}/adGroupAssets/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} assetId
 * @param {string | number} fieldType
 * @returns `AdGroupAssetResourceName`
 * @example const adGroupAsset: ResourceNames.AdGroupAssetResourceName = ResourceNames.adGroupAsset(10987417, 21974834, 43949668, 87899336)
 */
export declare function adGroupAsset(customerId: string | number, adGroupId: string | number, assetId: string | number, fieldType: string | number): AdGroupAssetResourceName;
export type AdGroupAssetSetResourceName = `customers/${StrNum}/adGroupAssetSets/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} assetSetId
 * @returns `AdGroupAssetSetResourceName`
 * @example const adGroupAssetSet: ResourceNames.AdGroupAssetSetResourceName = ResourceNames.adGroupAssetSet(10987417, 21974834, 43949668)
 */
export declare function adGroupAssetSet(customerId: string | number, adGroupId: string | number, assetSetId: string | number): AdGroupAssetSetResourceName;
export type AdGroupAudienceViewResourceName = `customers/${StrNum}/adGroupAudienceViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `AdGroupAudienceViewResourceName`
 * @example const adGroupAudienceView: ResourceNames.AdGroupAudienceViewResourceName = ResourceNames.adGroupAudienceView(10987417, 21974834, 43949668)
 */
export declare function adGroupAudienceView(customerId: string | number, adGroupId: string | number, criterionId: string | number): AdGroupAudienceViewResourceName;
export type AdGroupBidModifierResourceName = `customers/${StrNum}/adGroupBidModifiers/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `AdGroupBidModifierResourceName`
 * @example const adGroupBidModifier: ResourceNames.AdGroupBidModifierResourceName = ResourceNames.adGroupBidModifier(10987417, 21974834, 43949668)
 */
export declare function adGroupBidModifier(customerId: string | number, adGroupId: string | number, criterionId: string | number): AdGroupBidModifierResourceName;
export type AdGroupCriterionResourceName = `customers/${StrNum}/adGroupCriteria/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `AdGroupCriterionResourceName`
 * @example const adGroupCriterion: ResourceNames.AdGroupCriterionResourceName = ResourceNames.adGroupCriterion(10987417, 21974834, 43949668)
 */
export declare function adGroupCriterion(customerId: string | number, adGroupId: string | number, criterionId: string | number): AdGroupCriterionResourceName;
export type AdGroupCriterionCustomizerResourceName = `customers/${StrNum}/adGroupCriterionCustomizers/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @param {string | number} customizerAttributeId
 * @returns `AdGroupCriterionCustomizerResourceName`
 * @example const adGroupCriterionCustomizer: ResourceNames.AdGroupCriterionCustomizerResourceName = ResourceNames.adGroupCriterionCustomizer(10987417, 21974834, 43949668, 87899336)
 */
export declare function adGroupCriterionCustomizer(customerId: string | number, adGroupId: string | number, criterionId: string | number, customizerAttributeId: string | number): AdGroupCriterionCustomizerResourceName;
export type AdGroupCriterionLabelResourceName = `customers/${StrNum}/adGroupCriterionLabels/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @param {string | number} labelId
 * @returns `AdGroupCriterionLabelResourceName`
 * @example const adGroupCriterionLabel: ResourceNames.AdGroupCriterionLabelResourceName = ResourceNames.adGroupCriterionLabel(10987417, 21974834, 43949668, 87899336)
 */
export declare function adGroupCriterionLabel(customerId: string | number, adGroupId: string | number, criterionId: string | number, labelId: string | number): AdGroupCriterionLabelResourceName;
export type AdGroupCriterionSimulationResourceName = `customers/${StrNum}/adGroupCriterionSimulations/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @param {string | number} type
 * @param {string | number} modificationMethod
 * @param {string | number} startDate
 * @param {string | number} endDate
 * @returns `AdGroupCriterionSimulationResourceName`
 * @example const adGroupCriterionSimulation: ResourceNames.AdGroupCriterionSimulationResourceName = ResourceNames.adGroupCriterionSimulation(10987417, 21974834, 43949668, 87899336, 175798672, 351597344, 703194688)
 */
export declare function adGroupCriterionSimulation(customerId: string | number, adGroupId: string | number, criterionId: string | number, type: string | number, modificationMethod: string | number, startDate: string | number, endDate: string | number): AdGroupCriterionSimulationResourceName;
export type AdGroupCustomizerResourceName = `customers/${StrNum}/adGroupCustomizers/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} customizerAttributeId
 * @returns `AdGroupCustomizerResourceName`
 * @example const adGroupCustomizer: ResourceNames.AdGroupCustomizerResourceName = ResourceNames.adGroupCustomizer(10987417, 21974834, 43949668)
 */
export declare function adGroupCustomizer(customerId: string | number, adGroupId: string | number, customizerAttributeId: string | number): AdGroupCustomizerResourceName;
export type AdGroupLabelResourceName = `customers/${StrNum}/adGroupLabels/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} labelId
 * @returns `AdGroupLabelResourceName`
 * @example const adGroupLabel: ResourceNames.AdGroupLabelResourceName = ResourceNames.adGroupLabel(10987417, 21974834, 43949668)
 */
export declare function adGroupLabel(customerId: string | number, adGroupId: string | number, labelId: string | number): AdGroupLabelResourceName;
export type AdGroupSimulationResourceName = `customers/${StrNum}/adGroupSimulations/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} type
 * @param {string | number} modificationMethod
 * @param {string | number} startDate
 * @param {string | number} endDate
 * @returns `AdGroupSimulationResourceName`
 * @example const adGroupSimulation: ResourceNames.AdGroupSimulationResourceName = ResourceNames.adGroupSimulation(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function adGroupSimulation(customerId: string | number, adGroupId: string | number, type: string | number, modificationMethod: string | number, startDate: string | number, endDate: string | number): AdGroupSimulationResourceName;
export type AdParameterResourceName = `customers/${StrNum}/adParameters/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @param {string | number} parameterIndex
 * @returns `AdParameterResourceName`
 * @example const adParameter: ResourceNames.AdParameterResourceName = ResourceNames.adParameter(10987417, 21974834, 43949668, 87899336)
 */
export declare function adParameter(customerId: string | number, adGroupId: string | number, criterionId: string | number, parameterIndex: string | number): AdParameterResourceName;
export type AdScheduleViewResourceName = `customers/${StrNum}/adScheduleViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} criterionId
 * @returns `AdScheduleViewResourceName`
 * @example const adScheduleView: ResourceNames.AdScheduleViewResourceName = ResourceNames.adScheduleView(10987417, 21974834, 43949668)
 */
export declare function adScheduleView(customerId: string | number, campaignId: string | number, criterionId: string | number): AdScheduleViewResourceName;
export type AgeRangeViewResourceName = `customers/${StrNum}/ageRangeViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `AgeRangeViewResourceName`
 * @example const ageRangeView: ResourceNames.AgeRangeViewResourceName = ResourceNames.ageRangeView(10987417, 21974834, 43949668)
 */
export declare function ageRangeView(customerId: string | number, adGroupId: string | number, criterionId: string | number): AgeRangeViewResourceName;
export type AndroidPrivacySharedKeyGoogleAdGroupResourceName = `customers/${StrNum}/androidPrivacySharedKeyGoogleAdGroups/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} adGroupId
 * @param {string | number} androidPrivacyInteractionType
 * @param {string | number} androidPrivacyNetworkType
 * @param {string | number} androidPrivacyInteractionDate
 * @returns `AndroidPrivacySharedKeyGoogleAdGroupResourceName`
 * @example const androidPrivacySharedKeyGoogleAdGroup: ResourceNames.AndroidPrivacySharedKeyGoogleAdGroupResourceName = ResourceNames.androidPrivacySharedKeyGoogleAdGroup(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function androidPrivacySharedKeyGoogleAdGroup(customerId: string | number, campaignId: string | number, adGroupId: string | number, androidPrivacyInteractionType: string | number, androidPrivacyNetworkType: string | number, androidPrivacyInteractionDate: string | number): AndroidPrivacySharedKeyGoogleAdGroupResourceName;
export type AndroidPrivacySharedKeyGoogleCampaignResourceName = `customers/${StrNum}/androidPrivacySharedKeyGoogleCampaigns/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} androidPrivacyInteractionType
 * @param {string | number} androidPrivacyInteractionDate
 * @returns `AndroidPrivacySharedKeyGoogleCampaignResourceName`
 * @example const androidPrivacySharedKeyGoogleCampaign: ResourceNames.AndroidPrivacySharedKeyGoogleCampaignResourceName = ResourceNames.androidPrivacySharedKeyGoogleCampaign(10987417, 21974834, 43949668, 87899336)
 */
export declare function androidPrivacySharedKeyGoogleCampaign(customerId: string | number, campaignId: string | number, androidPrivacyInteractionType: string | number, androidPrivacyInteractionDate: string | number): AndroidPrivacySharedKeyGoogleCampaignResourceName;
export type AndroidPrivacySharedKeyGoogleNetworkTypeResourceName = `customers/${StrNum}/androidPrivacySharedKeyGoogleNetworkTypes/${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} androidPrivacyInteractionType
 * @param {string | number} androidPrivacyNetworkType
 * @param {string | number} androidPrivacyInteractionDate
 * @returns `AndroidPrivacySharedKeyGoogleNetworkTypeResourceName`
 * @example const androidPrivacySharedKeyGoogleNetworkType: ResourceNames.AndroidPrivacySharedKeyGoogleNetworkTypeResourceName = ResourceNames.androidPrivacySharedKeyGoogleNetworkType(10987417, 21974834, 43949668, 87899336, 175798672)
 */
export declare function androidPrivacySharedKeyGoogleNetworkType(customerId: string | number, campaignId: string | number, androidPrivacyInteractionType: string | number, androidPrivacyNetworkType: string | number, androidPrivacyInteractionDate: string | number): AndroidPrivacySharedKeyGoogleNetworkTypeResourceName;
export type AssetResourceName = `customers/${StrNum}/assets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetId
 * @returns `AssetResourceName`
 * @example const asset: ResourceNames.AssetResourceName = ResourceNames.asset(10987417, 21974834)
 */
export declare function asset(customerId: string | number, assetId: string | number): AssetResourceName;
export type AssetFieldTypeViewResourceName = `customers/${StrNum}/assetFieldTypeViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} fieldType
 * @returns `AssetFieldTypeViewResourceName`
 * @example const assetFieldTypeView: ResourceNames.AssetFieldTypeViewResourceName = ResourceNames.assetFieldTypeView(10987417, 21974834)
 */
export declare function assetFieldTypeView(customerId: string | number, fieldType: string | number): AssetFieldTypeViewResourceName;
export type AssetGroupResourceName = `customers/${StrNum}/assetGroups/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @returns `AssetGroupResourceName`
 * @example const assetGroup: ResourceNames.AssetGroupResourceName = ResourceNames.assetGroup(10987417, 21974834)
 */
export declare function assetGroup(customerId: string | number, assetGroupId: string | number): AssetGroupResourceName;
export type AssetGroupAssetResourceName = `customers/${StrNum}/assetGroupAssets/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @param {string | number} assetId
 * @param {string | number} fieldType
 * @returns `AssetGroupAssetResourceName`
 * @example const assetGroupAsset: ResourceNames.AssetGroupAssetResourceName = ResourceNames.assetGroupAsset(10987417, 21974834, 43949668, 87899336)
 */
export declare function assetGroupAsset(customerId: string | number, assetGroupId: string | number, assetId: string | number, fieldType: string | number): AssetGroupAssetResourceName;
export type AssetGroupListingGroupFilterResourceName = `customers/${StrNum}/assetGroupListingGroupFilters/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @param {string | number} listingGroupFilterId
 * @returns `AssetGroupListingGroupFilterResourceName`
 * @example const assetGroupListingGroupFilter: ResourceNames.AssetGroupListingGroupFilterResourceName = ResourceNames.assetGroupListingGroupFilter(10987417, 21974834, 43949668)
 */
export declare function assetGroupListingGroupFilter(customerId: string | number, assetGroupId: string | number, listingGroupFilterId: string | number): AssetGroupListingGroupFilterResourceName;
export type AssetGroupProductGroupViewResourceName = `customers/${StrNum}/assetGroupProductGroupViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @param {string | number} listingGroupFilterId
 * @returns `AssetGroupProductGroupViewResourceName`
 * @example const assetGroupProductGroupView: ResourceNames.AssetGroupProductGroupViewResourceName = ResourceNames.assetGroupProductGroupView(10987417, 21974834, 43949668)
 */
export declare function assetGroupProductGroupView(customerId: string | number, assetGroupId: string | number, listingGroupFilterId: string | number): AssetGroupProductGroupViewResourceName;
export type AssetGroupSignalResourceName = `customers/${StrNum}/assetGroupSignals/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @param {string | number} criterionId
 * @returns `AssetGroupSignalResourceName`
 * @example const assetGroupSignal: ResourceNames.AssetGroupSignalResourceName = ResourceNames.assetGroupSignal(10987417, 21974834, 43949668)
 */
export declare function assetGroupSignal(customerId: string | number, assetGroupId: string | number, criterionId: string | number): AssetGroupSignalResourceName;
export type AssetGroupTopCombinationViewResourceName = `customers/${StrNum}/assetGroupTopCombinationViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetGroupId
 * @param {string | number} assetCombinationCategory
 * @returns `AssetGroupTopCombinationViewResourceName`
 * @example const assetGroupTopCombinationView: ResourceNames.AssetGroupTopCombinationViewResourceName = ResourceNames.assetGroupTopCombinationView(10987417, 21974834, 43949668)
 */
export declare function assetGroupTopCombinationView(customerId: string | number, assetGroupId: string | number, assetCombinationCategory: string | number): AssetGroupTopCombinationViewResourceName;
export type AssetSetResourceName = `customers/${StrNum}/assetSets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetSetId
 * @returns `AssetSetResourceName`
 * @example const assetSet: ResourceNames.AssetSetResourceName = ResourceNames.assetSet(10987417, 21974834)
 */
export declare function assetSet(customerId: string | number, assetSetId: string | number): AssetSetResourceName;
export type AssetSetAssetResourceName = `customers/${StrNum}/assetSetAssets/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetSetId
 * @param {string | number} assetId
 * @returns `AssetSetAssetResourceName`
 * @example const assetSetAsset: ResourceNames.AssetSetAssetResourceName = ResourceNames.assetSetAsset(10987417, 21974834, 43949668)
 */
export declare function assetSetAsset(customerId: string | number, assetSetId: string | number, assetId: string | number): AssetSetAssetResourceName;
export type AssetSetTypeViewResourceName = `customers/${StrNum}/assetSetTypeViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetSetType
 * @returns `AssetSetTypeViewResourceName`
 * @example const assetSetTypeView: ResourceNames.AssetSetTypeViewResourceName = ResourceNames.assetSetTypeView(10987417, 21974834)
 */
export declare function assetSetTypeView(customerId: string | number, assetSetType: string | number): AssetSetTypeViewResourceName;
export type AudienceResourceName = `customers/${StrNum}/audiences/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} audienceId
 * @returns `AudienceResourceName`
 * @example const audience: ResourceNames.AudienceResourceName = ResourceNames.audience(10987417, 21974834)
 */
export declare function audience(customerId: string | number, audienceId: string | number): AudienceResourceName;
export type BatchJobResourceName = `customers/${StrNum}/batchJobs/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} batchJobId
 * @returns `BatchJobResourceName`
 * @example const batchJob: ResourceNames.BatchJobResourceName = ResourceNames.batchJob(10987417, 21974834)
 */
export declare function batchJob(customerId: string | number, batchJobId: string | number): BatchJobResourceName;
export type BiddingDataExclusionResourceName = `customers/${StrNum}/biddingDataExclusions/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} seasonalityEventId
 * @returns `BiddingDataExclusionResourceName`
 * @example const biddingDataExclusion: ResourceNames.BiddingDataExclusionResourceName = ResourceNames.biddingDataExclusion(10987417, 21974834)
 */
export declare function biddingDataExclusion(customerId: string | number, seasonalityEventId: string | number): BiddingDataExclusionResourceName;
export type BiddingSeasonalityAdjustmentResourceName = `customers/${StrNum}/biddingSeasonalityAdjustments/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} seasonalityEventId
 * @returns `BiddingSeasonalityAdjustmentResourceName`
 * @example const biddingSeasonalityAdjustment: ResourceNames.BiddingSeasonalityAdjustmentResourceName = ResourceNames.biddingSeasonalityAdjustment(10987417, 21974834)
 */
export declare function biddingSeasonalityAdjustment(customerId: string | number, seasonalityEventId: string | number): BiddingSeasonalityAdjustmentResourceName;
export type BiddingStrategyResourceName = `customers/${StrNum}/biddingStrategies/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} biddingStrategyId
 * @returns `BiddingStrategyResourceName`
 * @example const biddingStrategy: ResourceNames.BiddingStrategyResourceName = ResourceNames.biddingStrategy(10987417, 21974834)
 */
export declare function biddingStrategy(customerId: string | number, biddingStrategyId: string | number): BiddingStrategyResourceName;
export type BiddingStrategySimulationResourceName = `customers/${StrNum}/biddingStrategySimulations/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} biddingStrategyId
 * @param {string | number} type
 * @param {string | number} modificationMethod
 * @param {string | number} startDate
 * @param {string | number} endDate
 * @returns `BiddingStrategySimulationResourceName`
 * @example const biddingStrategySimulation: ResourceNames.BiddingStrategySimulationResourceName = ResourceNames.biddingStrategySimulation(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function biddingStrategySimulation(customerId: string | number, biddingStrategyId: string | number, type: string | number, modificationMethod: string | number, startDate: string | number, endDate: string | number): BiddingStrategySimulationResourceName;
export type BillingSetupResourceName = `customers/${StrNum}/billingSetups/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} billingSetupId
 * @returns `BillingSetupResourceName`
 * @example const billingSetup: ResourceNames.BillingSetupResourceName = ResourceNames.billingSetup(10987417, 21974834)
 */
export declare function billingSetup(customerId: string | number, billingSetupId: string | number): BillingSetupResourceName;
export type CallViewResourceName = `customers/${StrNum}/callViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} callDetailId
 * @returns `CallViewResourceName`
 * @example const callView: ResourceNames.CallViewResourceName = ResourceNames.callView(10987417, 21974834)
 */
export declare function callView(customerId: string | number, callDetailId: string | number): CallViewResourceName;
export type CampaignResourceName = `customers/${StrNum}/campaigns/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @returns `CampaignResourceName`
 * @example const campaign: ResourceNames.CampaignResourceName = ResourceNames.campaign(10987417, 21974834)
 */
export declare function campaign(customerId: string | number, campaignId: string | number): CampaignResourceName;
export type CampaignAggregateAssetViewResourceName = `customers/${StrNum}/campaignAggregateAssetViews/${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} assetId
 * @param {string | number} assetLinkSource
 * @param {string | number} fieldType
 * @returns `CampaignAggregateAssetViewResourceName`
 * @example const campaignAggregateAssetView: ResourceNames.CampaignAggregateAssetViewResourceName = ResourceNames.campaignAggregateAssetView(10987417, 21974834, 43949668, 87899336, 175798672)
 */
export declare function campaignAggregateAssetView(customerId: string | number, campaignId: string | number, assetId: string | number, assetLinkSource: string | number, fieldType: string | number): CampaignAggregateAssetViewResourceName;
export type CampaignAssetResourceName = `customers/${StrNum}/campaignAssets/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} assetId
 * @param {string | number} fieldType
 * @returns `CampaignAssetResourceName`
 * @example const campaignAsset: ResourceNames.CampaignAssetResourceName = ResourceNames.campaignAsset(10987417, 21974834, 43949668, 87899336)
 */
export declare function campaignAsset(customerId: string | number, campaignId: string | number, assetId: string | number, fieldType: string | number): CampaignAssetResourceName;
export type CampaignAssetSetResourceName = `customers/${StrNum}/campaignAssetSets/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} assetSetId
 * @returns `CampaignAssetSetResourceName`
 * @example const campaignAssetSet: ResourceNames.CampaignAssetSetResourceName = ResourceNames.campaignAssetSet(10987417, 21974834, 43949668)
 */
export declare function campaignAssetSet(customerId: string | number, campaignId: string | number, assetSetId: string | number): CampaignAssetSetResourceName;
export type CampaignAudienceViewResourceName = `customers/${StrNum}/campaignAudienceViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} criterionId
 * @returns `CampaignAudienceViewResourceName`
 * @example const campaignAudienceView: ResourceNames.CampaignAudienceViewResourceName = ResourceNames.campaignAudienceView(10987417, 21974834, 43949668)
 */
export declare function campaignAudienceView(customerId: string | number, campaignId: string | number, criterionId: string | number): CampaignAudienceViewResourceName;
export type CampaignBidModifierResourceName = `customers/${StrNum}/campaignBidModifiers/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} criterionId
 * @returns `CampaignBidModifierResourceName`
 * @example const campaignBidModifier: ResourceNames.CampaignBidModifierResourceName = ResourceNames.campaignBidModifier(10987417, 21974834, 43949668)
 */
export declare function campaignBidModifier(customerId: string | number, campaignId: string | number, criterionId: string | number): CampaignBidModifierResourceName;
export type CampaignBudgetResourceName = `customers/${StrNum}/campaignBudgets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignBudgetId
 * @returns `CampaignBudgetResourceName`
 * @example const campaignBudget: ResourceNames.CampaignBudgetResourceName = ResourceNames.campaignBudget(10987417, 21974834)
 */
export declare function campaignBudget(customerId: string | number, campaignBudgetId: string | number): CampaignBudgetResourceName;
export type CampaignConversionGoalResourceName = `customers/${StrNum}/campaignConversionGoals/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} category
 * @param {string | number} source
 * @returns `CampaignConversionGoalResourceName`
 * @example const campaignConversionGoal: ResourceNames.CampaignConversionGoalResourceName = ResourceNames.campaignConversionGoal(10987417, 21974834, 43949668, 87899336)
 */
export declare function campaignConversionGoal(customerId: string | number, campaignId: string | number, category: string | number, source: string | number): CampaignConversionGoalResourceName;
export type CampaignCriterionResourceName = `customers/${StrNum}/campaignCriteria/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} criterionId
 * @returns `CampaignCriterionResourceName`
 * @example const campaignCriterion: ResourceNames.CampaignCriterionResourceName = ResourceNames.campaignCriterion(10987417, 21974834, 43949668)
 */
export declare function campaignCriterion(customerId: string | number, campaignId: string | number, criterionId: string | number): CampaignCriterionResourceName;
export type CampaignCustomizerResourceName = `customers/${StrNum}/campaignCustomizers/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} customizerAttributeId
 * @returns `CampaignCustomizerResourceName`
 * @example const campaignCustomizer: ResourceNames.CampaignCustomizerResourceName = ResourceNames.campaignCustomizer(10987417, 21974834, 43949668)
 */
export declare function campaignCustomizer(customerId: string | number, campaignId: string | number, customizerAttributeId: string | number): CampaignCustomizerResourceName;
export type CampaignDraftResourceName = `customers/${StrNum}/campaignDrafts/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} baseCampaignId
 * @param {string | number} draftId
 * @returns `CampaignDraftResourceName`
 * @example const campaignDraft: ResourceNames.CampaignDraftResourceName = ResourceNames.campaignDraft(10987417, 21974834, 43949668)
 */
export declare function campaignDraft(customerId: string | number, baseCampaignId: string | number, draftId: string | number): CampaignDraftResourceName;
export type CampaignGroupResourceName = `customers/${StrNum}/campaignGroups/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignGroupId
 * @returns `CampaignGroupResourceName`
 * @example const campaignGroup: ResourceNames.CampaignGroupResourceName = ResourceNames.campaignGroup(10987417, 21974834)
 */
export declare function campaignGroup(customerId: string | number, campaignGroupId: string | number): CampaignGroupResourceName;
export type CampaignLabelResourceName = `customers/${StrNum}/campaignLabels/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} labelId
 * @returns `CampaignLabelResourceName`
 * @example const campaignLabel: ResourceNames.CampaignLabelResourceName = ResourceNames.campaignLabel(10987417, 21974834, 43949668)
 */
export declare function campaignLabel(customerId: string | number, campaignId: string | number, labelId: string | number): CampaignLabelResourceName;
export type CampaignLifecycleGoalResourceName = `customers/${StrNum}/campaignLifecycleGoals/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @returns `CampaignLifecycleGoalResourceName`
 * @example const campaignLifecycleGoal: ResourceNames.CampaignLifecycleGoalResourceName = ResourceNames.campaignLifecycleGoal(10987417, 21974834)
 */
export declare function campaignLifecycleGoal(customerId: string | number, campaignId: string | number): CampaignLifecycleGoalResourceName;
export type CampaignSearchTermInsightResourceName = `customers/${StrNum}/campaignSearchTermInsights/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} clusterId
 * @returns `CampaignSearchTermInsightResourceName`
 * @example const campaignSearchTermInsight: ResourceNames.CampaignSearchTermInsightResourceName = ResourceNames.campaignSearchTermInsight(10987417, 21974834, 43949668)
 */
export declare function campaignSearchTermInsight(customerId: string | number, campaignId: string | number, clusterId: string | number): CampaignSearchTermInsightResourceName;
export type CampaignSharedSetResourceName = `customers/${StrNum}/campaignSharedSets/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} sharedSetId
 * @returns `CampaignSharedSetResourceName`
 * @example const campaignSharedSet: ResourceNames.CampaignSharedSetResourceName = ResourceNames.campaignSharedSet(10987417, 21974834, 43949668)
 */
export declare function campaignSharedSet(customerId: string | number, campaignId: string | number, sharedSetId: string | number): CampaignSharedSetResourceName;
export type CampaignSimulationResourceName = `customers/${StrNum}/campaignSimulations/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} type
 * @param {string | number} modificationMethod
 * @param {string | number} startDate
 * @param {string | number} endDate
 * @returns `CampaignSimulationResourceName`
 * @example const campaignSimulation: ResourceNames.CampaignSimulationResourceName = ResourceNames.campaignSimulation(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function campaignSimulation(customerId: string | number, campaignId: string | number, type: string | number, modificationMethod: string | number, startDate: string | number, endDate: string | number): CampaignSimulationResourceName;
export type CarrierConstantResourceName = `carrierConstants/${StrNum}`;
/**
 * @param {string | number} criterionId
 * @returns `CarrierConstantResourceName`
 * @example const carrierConstant: ResourceNames.CarrierConstantResourceName = ResourceNames.carrierConstant(10987417)
 */
export declare function carrierConstant(criterionId: string | number): CarrierConstantResourceName;
export type ChangeEventResourceName = `customers/${StrNum}/changeEvents/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} timestampMicros
 * @param {string | number} commandIndex
 * @param {string | number} mutateIndex
 * @returns `ChangeEventResourceName`
 * @example const changeEvent: ResourceNames.ChangeEventResourceName = ResourceNames.changeEvent(10987417, 21974834, 43949668, 87899336)
 */
export declare function changeEvent(customerId: string | number, timestampMicros: string | number, commandIndex: string | number, mutateIndex: string | number): ChangeEventResourceName;
export type ChangeStatusResourceName = `customers/${StrNum}/changeStatus/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} changeStatusId
 * @returns `ChangeStatusResourceName`
 * @example const changeStatus: ResourceNames.ChangeStatusResourceName = ResourceNames.changeStatus(10987417, 21974834)
 */
export declare function changeStatus(customerId: string | number, changeStatusId: string | number): ChangeStatusResourceName;
export type ChannelAggregateAssetViewResourceName = `customers/${StrNum}/channelAggregateAssetViews/${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} advertisingChannelType
 * @param {string | number} assetId
 * @param {string | number} assetSource
 * @param {string | number} fieldType
 * @returns `ChannelAggregateAssetViewResourceName`
 * @example const channelAggregateAssetView: ResourceNames.ChannelAggregateAssetViewResourceName = ResourceNames.channelAggregateAssetView(10987417, 21974834, 43949668, 87899336, 175798672)
 */
export declare function channelAggregateAssetView(customerId: string | number, advertisingChannelType: string | number, assetId: string | number, assetSource: string | number, fieldType: string | number): ChannelAggregateAssetViewResourceName;
export type ClickViewResourceName = `customers/${StrNum}/clickViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} date
 * @param {string | number} gclid
 * @returns `ClickViewResourceName`
 * @example const clickView: ResourceNames.ClickViewResourceName = ResourceNames.clickView(10987417, 21974834, 43949668)
 */
export declare function clickView(customerId: string | number, date: string | number, gclid: string | number): ClickViewResourceName;
export type CombinedAudienceResourceName = `customers/${StrNum}/combinedAudiences/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} combinedAudienceId
 * @returns `CombinedAudienceResourceName`
 * @example const combinedAudience: ResourceNames.CombinedAudienceResourceName = ResourceNames.combinedAudience(10987417, 21974834)
 */
export declare function combinedAudience(customerId: string | number, combinedAudienceId: string | number): CombinedAudienceResourceName;
export type ContentCriterionViewResourceName = `customers/${StrNum}/contentCriterionViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `ContentCriterionViewResourceName`
 * @example const contentCriterionView: ResourceNames.ContentCriterionViewResourceName = ResourceNames.contentCriterionView(10987417, 21974834, 43949668)
 */
export declare function contentCriterionView(customerId: string | number, adGroupId: string | number, criterionId: string | number): ContentCriterionViewResourceName;
export type ConversionActionResourceName = `customers/${StrNum}/conversionActions/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} conversionActionId
 * @returns `ConversionActionResourceName`
 * @example const conversionAction: ResourceNames.ConversionActionResourceName = ResourceNames.conversionAction(10987417, 21974834)
 */
export declare function conversionAction(customerId: string | number, conversionActionId: string | number): ConversionActionResourceName;
export type ConversionCustomVariableResourceName = `customers/${StrNum}/conversionCustomVariables/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} conversionCustomVariableId
 * @returns `ConversionCustomVariableResourceName`
 * @example const conversionCustomVariable: ResourceNames.ConversionCustomVariableResourceName = ResourceNames.conversionCustomVariable(10987417, 21974834)
 */
export declare function conversionCustomVariable(customerId: string | number, conversionCustomVariableId: string | number): ConversionCustomVariableResourceName;
export type ConversionGoalCampaignConfigResourceName = `customers/${StrNum}/conversionGoalCampaignConfigs/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @returns `ConversionGoalCampaignConfigResourceName`
 * @example const conversionGoalCampaignConfig: ResourceNames.ConversionGoalCampaignConfigResourceName = ResourceNames.conversionGoalCampaignConfig(10987417, 21974834)
 */
export declare function conversionGoalCampaignConfig(customerId: string | number, campaignId: string | number): ConversionGoalCampaignConfigResourceName;
export type ConversionValueRuleResourceName = `customers/${StrNum}/conversionValueRules/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} conversionValueRuleId
 * @returns `ConversionValueRuleResourceName`
 * @example const conversionValueRule: ResourceNames.ConversionValueRuleResourceName = ResourceNames.conversionValueRule(10987417, 21974834)
 */
export declare function conversionValueRule(customerId: string | number, conversionValueRuleId: string | number): ConversionValueRuleResourceName;
export type ConversionValueRuleSetResourceName = `customers/${StrNum}/conversionValueRuleSets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} conversionValueRuleSetId
 * @returns `ConversionValueRuleSetResourceName`
 * @example const conversionValueRuleSet: ResourceNames.ConversionValueRuleSetResourceName = ResourceNames.conversionValueRuleSet(10987417, 21974834)
 */
export declare function conversionValueRuleSet(customerId: string | number, conversionValueRuleSetId: string | number): ConversionValueRuleSetResourceName;
export type CurrencyConstantResourceName = `currencyConstants/${StrNum}`;
/**
 * @param {string | number} code
 * @returns `CurrencyConstantResourceName`
 * @example const currencyConstant: ResourceNames.CurrencyConstantResourceName = ResourceNames.currencyConstant(10987417)
 */
export declare function currencyConstant(code: string | number): CurrencyConstantResourceName;
export type CustomAudienceResourceName = `customers/${StrNum}/customAudiences/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customAudienceId
 * @returns `CustomAudienceResourceName`
 * @example const customAudience: ResourceNames.CustomAudienceResourceName = ResourceNames.customAudience(10987417, 21974834)
 */
export declare function customAudience(customerId: string | number, customAudienceId: string | number): CustomAudienceResourceName;
export type CustomConversionGoalResourceName = `customers/${StrNum}/customConversionGoals/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} goalId
 * @returns `CustomConversionGoalResourceName`
 * @example const customConversionGoal: ResourceNames.CustomConversionGoalResourceName = ResourceNames.customConversionGoal(10987417, 21974834)
 */
export declare function customConversionGoal(customerId: string | number, goalId: string | number): CustomConversionGoalResourceName;
export type CustomInterestResourceName = `customers/${StrNum}/customInterests/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customInterestId
 * @returns `CustomInterestResourceName`
 * @example const customInterest: ResourceNames.CustomInterestResourceName = ResourceNames.customInterest(10987417, 21974834)
 */
export declare function customInterest(customerId: string | number, customInterestId: string | number): CustomInterestResourceName;
export type CustomerResourceName = `customers/${StrNum}`;
/**
 * @param {string | number} customerId
 * @returns `CustomerResourceName`
 * @example const customer: ResourceNames.CustomerResourceName = ResourceNames.customer(10987417)
 */
export declare function customer(customerId: string | number): CustomerResourceName;
export type CustomerAssetResourceName = `customers/${StrNum}/customerAssets/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetId
 * @param {string | number} fieldType
 * @returns `CustomerAssetResourceName`
 * @example const customerAsset: ResourceNames.CustomerAssetResourceName = ResourceNames.customerAsset(10987417, 21974834, 43949668)
 */
export declare function customerAsset(customerId: string | number, assetId: string | number, fieldType: string | number): CustomerAssetResourceName;
export type CustomerAssetSetResourceName = `customers/${StrNum}/customerAssetSets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} assetSetId
 * @returns `CustomerAssetSetResourceName`
 * @example const customerAssetSet: ResourceNames.CustomerAssetSetResourceName = ResourceNames.customerAssetSet(10987417, 21974834)
 */
export declare function customerAssetSet(customerId: string | number, assetSetId: string | number): CustomerAssetSetResourceName;
export type CustomerClientResourceName = `customers/${StrNum}/customerClients/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} clientCustomerId
 * @returns `CustomerClientResourceName`
 * @example const customerClient: ResourceNames.CustomerClientResourceName = ResourceNames.customerClient(10987417, 21974834)
 */
export declare function customerClient(customerId: string | number, clientCustomerId: string | number): CustomerClientResourceName;
export type CustomerClientLinkResourceName = `customers/${StrNum}/customerClientLinks/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} clientCustomerId
 * @param {string | number} managerLinkId
 * @returns `CustomerClientLinkResourceName`
 * @example const customerClientLink: ResourceNames.CustomerClientLinkResourceName = ResourceNames.customerClientLink(10987417, 21974834, 43949668)
 */
export declare function customerClientLink(customerId: string | number, clientCustomerId: string | number, managerLinkId: string | number): CustomerClientLinkResourceName;
export type CustomerConversionGoalResourceName = `customers/${StrNum}/customerConversionGoals/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} category
 * @param {string | number} source
 * @returns `CustomerConversionGoalResourceName`
 * @example const customerConversionGoal: ResourceNames.CustomerConversionGoalResourceName = ResourceNames.customerConversionGoal(10987417, 21974834, 43949668)
 */
export declare function customerConversionGoal(customerId: string | number, category: string | number, source: string | number): CustomerConversionGoalResourceName;
export type CustomerCustomizerResourceName = `customers/${StrNum}/customerCustomizers/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customizerAttributeId
 * @returns `CustomerCustomizerResourceName`
 * @example const customerCustomizer: ResourceNames.CustomerCustomizerResourceName = ResourceNames.customerCustomizer(10987417, 21974834)
 */
export declare function customerCustomizer(customerId: string | number, customizerAttributeId: string | number): CustomerCustomizerResourceName;
export type CustomerLabelResourceName = `customers/${StrNum}/customerLabels/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} labelId
 * @returns `CustomerLabelResourceName`
 * @example const customerLabel: ResourceNames.CustomerLabelResourceName = ResourceNames.customerLabel(10987417, 21974834)
 */
export declare function customerLabel(customerId: string | number, labelId: string | number): CustomerLabelResourceName;
export type CustomerLifecycleGoalResourceName = `customers/${StrNum}/customerLifecycleGoals`;
/**
 * @param {string | number} customerId
 * @returns `CustomerLifecycleGoalResourceName`
 * @example const customerLifecycleGoal: ResourceNames.CustomerLifecycleGoalResourceName = ResourceNames.customerLifecycleGoal(10987417)
 */
export declare function customerLifecycleGoal(customerId: string | number): CustomerLifecycleGoalResourceName;
export type CustomerManagerLinkResourceName = `customers/${StrNum}/customerManagerLinks/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} managerCustomerId
 * @param {string | number} managerLinkId
 * @returns `CustomerManagerLinkResourceName`
 * @example const customerManagerLink: ResourceNames.CustomerManagerLinkResourceName = ResourceNames.customerManagerLink(10987417, 21974834, 43949668)
 */
export declare function customerManagerLink(customerId: string | number, managerCustomerId: string | number, managerLinkId: string | number): CustomerManagerLinkResourceName;
export type CustomerNegativeCriterionResourceName = `customers/${StrNum}/customerNegativeCriteria/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} criterionId
 * @returns `CustomerNegativeCriterionResourceName`
 * @example const customerNegativeCriterion: ResourceNames.CustomerNegativeCriterionResourceName = ResourceNames.customerNegativeCriterion(10987417, 21974834)
 */
export declare function customerNegativeCriterion(customerId: string | number, criterionId: string | number): CustomerNegativeCriterionResourceName;
export type CustomerSearchTermInsightResourceName = `customers/${StrNum}/customerSearchTermInsights/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} clusterId
 * @returns `CustomerSearchTermInsightResourceName`
 * @example const customerSearchTermInsight: ResourceNames.CustomerSearchTermInsightResourceName = ResourceNames.customerSearchTermInsight(10987417, 21974834)
 */
export declare function customerSearchTermInsight(customerId: string | number, clusterId: string | number): CustomerSearchTermInsightResourceName;
export type CustomerSkAdNetworkConversionValueSchemaResourceName = `customers/${StrNum}/customerSkAdNetworkConversionValueSchemas/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} accountLinkId
 * @returns `CustomerSkAdNetworkConversionValueSchemaResourceName`
 * @example const customerSkAdNetworkConversionValueSchema: ResourceNames.CustomerSkAdNetworkConversionValueSchemaResourceName = ResourceNames.customerSkAdNetworkConversionValueSchema(10987417, 21974834)
 */
export declare function customerSkAdNetworkConversionValueSchema(customerId: string | number, accountLinkId: string | number): CustomerSkAdNetworkConversionValueSchemaResourceName;
export type CustomerUserAccessResourceName = `customers/${StrNum}/customerUserAccesses/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} userId
 * @returns `CustomerUserAccessResourceName`
 * @example const customerUserAccess: ResourceNames.CustomerUserAccessResourceName = ResourceNames.customerUserAccess(10987417, 21974834)
 */
export declare function customerUserAccess(customerId: string | number, userId: string | number): CustomerUserAccessResourceName;
export type CustomerUserAccessInvitationResourceName = `customers/${StrNum}/customerUserAccessInvitations/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} invitationId
 * @returns `CustomerUserAccessInvitationResourceName`
 * @example const customerUserAccessInvitation: ResourceNames.CustomerUserAccessInvitationResourceName = ResourceNames.customerUserAccessInvitation(10987417, 21974834)
 */
export declare function customerUserAccessInvitation(customerId: string | number, invitationId: string | number): CustomerUserAccessInvitationResourceName;
export type CustomizerAttributeResourceName = `customers/${StrNum}/customizerAttributes/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customizerAttributeId
 * @returns `CustomizerAttributeResourceName`
 * @example const customizerAttribute: ResourceNames.CustomizerAttributeResourceName = ResourceNames.customizerAttribute(10987417, 21974834)
 */
export declare function customizerAttribute(customerId: string | number, customizerAttributeId: string | number): CustomizerAttributeResourceName;
export type DataLinkResourceName = `customers/${StrNum}/dataLinks/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} productLinkId
 * @param {string | number} dataLinkId
 * @returns `DataLinkResourceName`
 * @example const dataLink: ResourceNames.DataLinkResourceName = ResourceNames.dataLink(10987417, 21974834, 43949668)
 */
export declare function dataLink(customerId: string | number, productLinkId: string | number, dataLinkId: string | number): DataLinkResourceName;
export type DetailPlacementViewResourceName = `customers/${StrNum}/detailPlacementViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} base64Placement
 * @returns `DetailPlacementViewResourceName`
 * @example const detailPlacementView: ResourceNames.DetailPlacementViewResourceName = ResourceNames.detailPlacementView(10987417, 21974834, 43949668)
 */
export declare function detailPlacementView(customerId: string | number, adGroupId: string | number, base64Placement: string | number): DetailPlacementViewResourceName;
export type DetailedDemographicResourceName = `customers/${StrNum}/detailedDemographics/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} detailedDemographicId
 * @returns `DetailedDemographicResourceName`
 * @example const detailedDemographic: ResourceNames.DetailedDemographicResourceName = ResourceNames.detailedDemographic(10987417, 21974834)
 */
export declare function detailedDemographic(customerId: string | number, detailedDemographicId: string | number): DetailedDemographicResourceName;
export type DisplayKeywordViewResourceName = `customers/${StrNum}/displayKeywordViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `DisplayKeywordViewResourceName`
 * @example const displayKeywordView: ResourceNames.DisplayKeywordViewResourceName = ResourceNames.displayKeywordView(10987417, 21974834, 43949668)
 */
export declare function displayKeywordView(customerId: string | number, adGroupId: string | number, criterionId: string | number): DisplayKeywordViewResourceName;
export type DistanceViewResourceName = `customers/${StrNum}/distanceViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} placeholderChainId
 * @param {string | number} distanceBucket
 * @returns `DistanceViewResourceName`
 * @example const distanceView: ResourceNames.DistanceViewResourceName = ResourceNames.distanceView(10987417, 21974834, 43949668)
 */
export declare function distanceView(customerId: string | number, placeholderChainId: string | number, distanceBucket: string | number): DistanceViewResourceName;
export type DomainCategoryResourceName = `customers/${StrNum}/domainCategories/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} base64Category
 * @param {string | number} languageCode
 * @returns `DomainCategoryResourceName`
 * @example const domainCategory: ResourceNames.DomainCategoryResourceName = ResourceNames.domainCategory(10987417, 21974834, 43949668, 87899336)
 */
export declare function domainCategory(customerId: string | number, campaignId: string | number, base64Category: string | number, languageCode: string | number): DomainCategoryResourceName;
export type DynamicSearchAdsSearchTermViewResourceName = `customers/${StrNum}/dynamicSearchAdsSearchTermViews/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} searchTermFingerprint
 * @param {string | number} headlineFingerprint
 * @param {string | number} landingPageFingerprint
 * @param {string | number} pageUrlFingerprint
 * @returns `DynamicSearchAdsSearchTermViewResourceName`
 * @example const dynamicSearchAdsSearchTermView: ResourceNames.DynamicSearchAdsSearchTermViewResourceName = ResourceNames.dynamicSearchAdsSearchTermView(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function dynamicSearchAdsSearchTermView(customerId: string | number, adGroupId: string | number, searchTermFingerprint: string | number, headlineFingerprint: string | number, landingPageFingerprint: string | number, pageUrlFingerprint: string | number): DynamicSearchAdsSearchTermViewResourceName;
export type ExpandedLandingPageViewResourceName = `customers/${StrNum}/expandedLandingPageViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} expandedFinalUrlFingerprint
 * @returns `ExpandedLandingPageViewResourceName`
 * @example const expandedLandingPageView: ResourceNames.ExpandedLandingPageViewResourceName = ResourceNames.expandedLandingPageView(10987417, 21974834)
 */
export declare function expandedLandingPageView(customerId: string | number, expandedFinalUrlFingerprint: string | number): ExpandedLandingPageViewResourceName;
export type ExperimentResourceName = `customers/${StrNum}/experiments/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} trialId
 * @returns `ExperimentResourceName`
 * @example const experiment: ResourceNames.ExperimentResourceName = ResourceNames.experiment(10987417, 21974834)
 */
export declare function experiment(customerId: string | number, trialId: string | number): ExperimentResourceName;
export type ExperimentArmResourceName = `customers/${StrNum}/experimentArms/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} trialId
 * @param {string | number} trialArmId
 * @returns `ExperimentArmResourceName`
 * @example const experimentArm: ResourceNames.ExperimentArmResourceName = ResourceNames.experimentArm(10987417, 21974834, 43949668)
 */
export declare function experimentArm(customerId: string | number, trialId: string | number, trialArmId: string | number): ExperimentArmResourceName;
export type GenderViewResourceName = `customers/${StrNum}/genderViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `GenderViewResourceName`
 * @example const genderView: ResourceNames.GenderViewResourceName = ResourceNames.genderView(10987417, 21974834, 43949668)
 */
export declare function genderView(customerId: string | number, adGroupId: string | number, criterionId: string | number): GenderViewResourceName;
export type GeoTargetConstantResourceName = `geoTargetConstants/${StrNum}`;
/**
 * @param {string | number} criterionId
 * @returns `GeoTargetConstantResourceName`
 * @example const geoTargetConstant: ResourceNames.GeoTargetConstantResourceName = ResourceNames.geoTargetConstant(10987417)
 */
export declare function geoTargetConstant(criterionId: string | number): GeoTargetConstantResourceName;
export type GeographicViewResourceName = `customers/${StrNum}/geographicViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} countryCriterionId
 * @param {string | number} locationType
 * @returns `GeographicViewResourceName`
 * @example const geographicView: ResourceNames.GeographicViewResourceName = ResourceNames.geographicView(10987417, 21974834, 43949668)
 */
export declare function geographicView(customerId: string | number, countryCriterionId: string | number, locationType: string | number): GeographicViewResourceName;
export type GoogleAdsFieldResourceName = `googleAdsFields/${StrNum}`;
/**
 * @param {string | number} googleAdsField
 * @returns `GoogleAdsFieldResourceName`
 * @example const googleAdsField: ResourceNames.GoogleAdsFieldResourceName = ResourceNames.googleAdsField(10987417)
 */
export declare function googleAdsField(googleAdsField: string | number): GoogleAdsFieldResourceName;
export type GroupPlacementViewResourceName = `customers/${StrNum}/groupPlacementViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} base64Placement
 * @returns `GroupPlacementViewResourceName`
 * @example const groupPlacementView: ResourceNames.GroupPlacementViewResourceName = ResourceNames.groupPlacementView(10987417, 21974834, 43949668)
 */
export declare function groupPlacementView(customerId: string | number, adGroupId: string | number, base64Placement: string | number): GroupPlacementViewResourceName;
export type HotelGroupViewResourceName = `customers/${StrNum}/hotelGroupViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `HotelGroupViewResourceName`
 * @example const hotelGroupView: ResourceNames.HotelGroupViewResourceName = ResourceNames.hotelGroupView(10987417, 21974834, 43949668)
 */
export declare function hotelGroupView(customerId: string | number, adGroupId: string | number, criterionId: string | number): HotelGroupViewResourceName;
export type HotelPerformanceViewResourceName = `customers/${StrNum}/hotelPerformanceView`;
/**
 * @param {string | number} customerId
 * @returns `HotelPerformanceViewResourceName`
 * @example const hotelPerformanceView: ResourceNames.HotelPerformanceViewResourceName = ResourceNames.hotelPerformanceView(10987417)
 */
export declare function hotelPerformanceView(customerId: string | number): HotelPerformanceViewResourceName;
export type HotelReconciliationResourceName = `customers/${StrNum}/hotelReconciliations/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} commissionId
 * @returns `HotelReconciliationResourceName`
 * @example const hotelReconciliation: ResourceNames.HotelReconciliationResourceName = ResourceNames.hotelReconciliation(10987417, 21974834)
 */
export declare function hotelReconciliation(customerId: string | number, commissionId: string | number): HotelReconciliationResourceName;
export type IncomeRangeViewResourceName = `customers/${StrNum}/incomeRangeViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `IncomeRangeViewResourceName`
 * @example const incomeRangeView: ResourceNames.IncomeRangeViewResourceName = ResourceNames.incomeRangeView(10987417, 21974834, 43949668)
 */
export declare function incomeRangeView(customerId: string | number, adGroupId: string | number, criterionId: string | number): IncomeRangeViewResourceName;
export type InvoiceResourceName = `customers/${StrNum}/invoices/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} invoiceId
 * @returns `InvoiceResourceName`
 * @example const invoice: ResourceNames.InvoiceResourceName = ResourceNames.invoice(10987417, 21974834)
 */
export declare function invoice(customerId: string | number, invoiceId: string | number): InvoiceResourceName;
export type KeywordPlanResourceName = `customers/${StrNum}/keywordPlans/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} keywordPlanId
 * @returns `KeywordPlanResourceName`
 * @example const keywordPlan: ResourceNames.KeywordPlanResourceName = ResourceNames.keywordPlan(10987417, 21974834)
 */
export declare function keywordPlan(customerId: string | number, keywordPlanId: string | number): KeywordPlanResourceName;
export type KeywordPlanAdGroupResourceName = `customers/${StrNum}/keywordPlanAdGroups/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} keywordPlanAdGroupId
 * @returns `KeywordPlanAdGroupResourceName`
 * @example const keywordPlanAdGroup: ResourceNames.KeywordPlanAdGroupResourceName = ResourceNames.keywordPlanAdGroup(10987417, 21974834)
 */
export declare function keywordPlanAdGroup(customerId: string | number, keywordPlanAdGroupId: string | number): KeywordPlanAdGroupResourceName;
export type KeywordPlanAdGroupKeywordResourceName = `customers/${StrNum}/keywordPlanAdGroupKeywords/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} keywordPlanAdGroupKeywordId
 * @returns `KeywordPlanAdGroupKeywordResourceName`
 * @example const keywordPlanAdGroupKeyword: ResourceNames.KeywordPlanAdGroupKeywordResourceName = ResourceNames.keywordPlanAdGroupKeyword(10987417, 21974834)
 */
export declare function keywordPlanAdGroupKeyword(customerId: string | number, keywordPlanAdGroupKeywordId: string | number): KeywordPlanAdGroupKeywordResourceName;
export type KeywordPlanCampaignResourceName = `customers/${StrNum}/keywordPlanCampaigns/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} keywordPlanCampaignId
 * @returns `KeywordPlanCampaignResourceName`
 * @example const keywordPlanCampaign: ResourceNames.KeywordPlanCampaignResourceName = ResourceNames.keywordPlanCampaign(10987417, 21974834)
 */
export declare function keywordPlanCampaign(customerId: string | number, keywordPlanCampaignId: string | number): KeywordPlanCampaignResourceName;
export type KeywordPlanCampaignKeywordResourceName = `customers/${StrNum}/keywordPlanCampaignKeywords/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} keywordPlanCampaignKeywordId
 * @returns `KeywordPlanCampaignKeywordResourceName`
 * @example const keywordPlanCampaignKeyword: ResourceNames.KeywordPlanCampaignKeywordResourceName = ResourceNames.keywordPlanCampaignKeyword(10987417, 21974834)
 */
export declare function keywordPlanCampaignKeyword(customerId: string | number, keywordPlanCampaignKeywordId: string | number): KeywordPlanCampaignKeywordResourceName;
export type KeywordThemeConstantResourceName = `keywordThemeConstants/${StrNum}~${StrNum}`;
/**
 * @param {string | number} expressCategoryId
 * @param {string | number} expressSubCategoryId
 * @returns `KeywordThemeConstantResourceName`
 * @example const keywordThemeConstant: ResourceNames.KeywordThemeConstantResourceName = ResourceNames.keywordThemeConstant(10987417, 21974834)
 */
export declare function keywordThemeConstant(expressCategoryId: string | number, expressSubCategoryId: string | number): KeywordThemeConstantResourceName;
export type KeywordViewResourceName = `customers/${StrNum}/keywordViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `KeywordViewResourceName`
 * @example const keywordView: ResourceNames.KeywordViewResourceName = ResourceNames.keywordView(10987417, 21974834, 43949668)
 */
export declare function keywordView(customerId: string | number, adGroupId: string | number, criterionId: string | number): KeywordViewResourceName;
export type LabelResourceName = `customers/${StrNum}/labels/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} labelId
 * @returns `LabelResourceName`
 * @example const label: ResourceNames.LabelResourceName = ResourceNames.label(10987417, 21974834)
 */
export declare function label(customerId: string | number, labelId: string | number): LabelResourceName;
export type LandingPageViewResourceName = `customers/${StrNum}/landingPageViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} unexpandedFinalUrlFingerprint
 * @returns `LandingPageViewResourceName`
 * @example const landingPageView: ResourceNames.LandingPageViewResourceName = ResourceNames.landingPageView(10987417, 21974834)
 */
export declare function landingPageView(customerId: string | number, unexpandedFinalUrlFingerprint: string | number): LandingPageViewResourceName;
export type LanguageConstantResourceName = `languageConstants/${StrNum}`;
/**
 * @param {string | number} criterionId
 * @returns `LanguageConstantResourceName`
 * @example const languageConstant: ResourceNames.LanguageConstantResourceName = ResourceNames.languageConstant(10987417)
 */
export declare function languageConstant(criterionId: string | number): LanguageConstantResourceName;
export type LeadFormSubmissionDataResourceName = `customers/${StrNum}/leadFormSubmissionData/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} leadFormUserSubmissionId
 * @returns `LeadFormSubmissionDataResourceName`
 * @example const leadFormSubmissionData: ResourceNames.LeadFormSubmissionDataResourceName = ResourceNames.leadFormSubmissionData(10987417, 21974834)
 */
export declare function leadFormSubmissionData(customerId: string | number, leadFormUserSubmissionId: string | number): LeadFormSubmissionDataResourceName;
export type LifeEventResourceName = `customers/${StrNum}/lifeEvents/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} lifeEventId
 * @returns `LifeEventResourceName`
 * @example const lifeEvent: ResourceNames.LifeEventResourceName = ResourceNames.lifeEvent(10987417, 21974834)
 */
export declare function lifeEvent(customerId: string | number, lifeEventId: string | number): LifeEventResourceName;
export type LocalServicesEmployeeResourceName = `customers/${StrNum}/localServicesEmployees/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} glsEmployeeId
 * @returns `LocalServicesEmployeeResourceName`
 * @example const localServicesEmployee: ResourceNames.LocalServicesEmployeeResourceName = ResourceNames.localServicesEmployee(10987417, 21974834)
 */
export declare function localServicesEmployee(customerId: string | number, glsEmployeeId: string | number): LocalServicesEmployeeResourceName;
export type LocalServicesLeadResourceName = `customers/${StrNum}/localServicesLeads/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} localServicesLeadId
 * @returns `LocalServicesLeadResourceName`
 * @example const localServicesLead: ResourceNames.LocalServicesLeadResourceName = ResourceNames.localServicesLead(10987417, 21974834)
 */
export declare function localServicesLead(customerId: string | number, localServicesLeadId: string | number): LocalServicesLeadResourceName;
export type LocalServicesLeadConversationResourceName = `customers/${StrNum}/localServicesLeadConversations/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} localServicesLeadConversationId
 * @returns `LocalServicesLeadConversationResourceName`
 * @example const localServicesLeadConversation: ResourceNames.LocalServicesLeadConversationResourceName = ResourceNames.localServicesLeadConversation(10987417, 21974834)
 */
export declare function localServicesLeadConversation(customerId: string | number, localServicesLeadConversationId: string | number): LocalServicesLeadConversationResourceName;
export type LocalServicesVerificationArtifactResourceName = `customers/${StrNum}/localServicesVerificationArtifacts/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} glsVerificationArtifactId
 * @returns `LocalServicesVerificationArtifactResourceName`
 * @example const localServicesVerificationArtifact: ResourceNames.LocalServicesVerificationArtifactResourceName = ResourceNames.localServicesVerificationArtifact(10987417, 21974834)
 */
export declare function localServicesVerificationArtifact(customerId: string | number, glsVerificationArtifactId: string | number): LocalServicesVerificationArtifactResourceName;
export type LocationViewResourceName = `customers/${StrNum}/locationViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} criterionId
 * @returns `LocationViewResourceName`
 * @example const locationView: ResourceNames.LocationViewResourceName = ResourceNames.locationView(10987417, 21974834, 43949668)
 */
export declare function locationView(customerId: string | number, campaignId: string | number, criterionId: string | number): LocationViewResourceName;
export type ManagedPlacementViewResourceName = `customers/${StrNum}/managedPlacementViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `ManagedPlacementViewResourceName`
 * @example const managedPlacementView: ResourceNames.ManagedPlacementViewResourceName = ResourceNames.managedPlacementView(10987417, 21974834, 43949668)
 */
export declare function managedPlacementView(customerId: string | number, adGroupId: string | number, criterionId: string | number): ManagedPlacementViewResourceName;
export type MediaFileResourceName = `customers/${StrNum}/mediaFiles/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} mediaFileId
 * @returns `MediaFileResourceName`
 * @example const mediaFile: ResourceNames.MediaFileResourceName = ResourceNames.mediaFile(10987417, 21974834)
 */
export declare function mediaFile(customerId: string | number, mediaFileId: string | number): MediaFileResourceName;
export type MobileAppCategoryConstantResourceName = `mobileAppCategoryConstants/${StrNum}`;
/**
 * @param {string | number} mobileAppCategoryId
 * @returns `MobileAppCategoryConstantResourceName`
 * @example const mobileAppCategoryConstant: ResourceNames.MobileAppCategoryConstantResourceName = ResourceNames.mobileAppCategoryConstant(10987417)
 */
export declare function mobileAppCategoryConstant(mobileAppCategoryId: string | number): MobileAppCategoryConstantResourceName;
export type MobileDeviceConstantResourceName = `mobileDeviceConstants/${StrNum}`;
/**
 * @param {string | number} criterionId
 * @returns `MobileDeviceConstantResourceName`
 * @example const mobileDeviceConstant: ResourceNames.MobileDeviceConstantResourceName = ResourceNames.mobileDeviceConstant(10987417)
 */
export declare function mobileDeviceConstant(criterionId: string | number): MobileDeviceConstantResourceName;
export type OfflineConversionUploadClientSummaryResourceName = `customers/${StrNum}/offlineConversionUploadClientSummaries/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} client
 * @returns `OfflineConversionUploadClientSummaryResourceName`
 * @example const offlineConversionUploadClientSummary: ResourceNames.OfflineConversionUploadClientSummaryResourceName = ResourceNames.offlineConversionUploadClientSummary(10987417, 21974834)
 */
export declare function offlineConversionUploadClientSummary(customerId: string | number, client: string | number): OfflineConversionUploadClientSummaryResourceName;
export type OfflineConversionUploadConversionActionSummaryResourceName = `customers/${StrNum}/offlineConversionUploadConversionActionSummaries/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} conversionTypeId
 * @param {string | number} client
 * @returns `OfflineConversionUploadConversionActionSummaryResourceName`
 * @example const offlineConversionUploadConversionActionSummary: ResourceNames.OfflineConversionUploadConversionActionSummaryResourceName = ResourceNames.offlineConversionUploadConversionActionSummary(10987417, 21974834, 43949668)
 */
export declare function offlineConversionUploadConversionActionSummary(customerId: string | number, conversionTypeId: string | number, client: string | number): OfflineConversionUploadConversionActionSummaryResourceName;
export type OfflineUserDataJobResourceName = `customers/${StrNum}/offlineUserDataJobs/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} offlineUserDataUpdateId
 * @returns `OfflineUserDataJobResourceName`
 * @example const offlineUserDataJob: ResourceNames.OfflineUserDataJobResourceName = ResourceNames.offlineUserDataJob(10987417, 21974834)
 */
export declare function offlineUserDataJob(customerId: string | number, offlineUserDataUpdateId: string | number): OfflineUserDataJobResourceName;
export type OperatingSystemVersionConstantResourceName = `operatingSystemVersionConstants/${StrNum}`;
/**
 * @param {string | number} criterionId
 * @returns `OperatingSystemVersionConstantResourceName`
 * @example const operatingSystemVersionConstant: ResourceNames.OperatingSystemVersionConstantResourceName = ResourceNames.operatingSystemVersionConstant(10987417)
 */
export declare function operatingSystemVersionConstant(criterionId: string | number): OperatingSystemVersionConstantResourceName;
export type PaidOrganicSearchTermViewResourceName = `customers/${StrNum}/paidOrganicSearchTermViews/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} adGroupId
 * @param {string | number} base64SearchTerm
 * @returns `PaidOrganicSearchTermViewResourceName`
 * @example const paidOrganicSearchTermView: ResourceNames.PaidOrganicSearchTermViewResourceName = ResourceNames.paidOrganicSearchTermView(10987417, 21974834, 43949668, 87899336)
 */
export declare function paidOrganicSearchTermView(customerId: string | number, campaignId: string | number, adGroupId: string | number, base64SearchTerm: string | number): PaidOrganicSearchTermViewResourceName;
export type ParentalStatusViewResourceName = `customers/${StrNum}/parentalStatusViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `ParentalStatusViewResourceName`
 * @example const parentalStatusView: ResourceNames.ParentalStatusViewResourceName = ResourceNames.parentalStatusView(10987417, 21974834, 43949668)
 */
export declare function parentalStatusView(customerId: string | number, adGroupId: string | number, criterionId: string | number): ParentalStatusViewResourceName;
export type PaymentsAccountResourceName = `customers/${StrNum}/paymentsAccounts/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} paymentsAccountId
 * @returns `PaymentsAccountResourceName`
 * @example const paymentsAccount: ResourceNames.PaymentsAccountResourceName = ResourceNames.paymentsAccount(10987417, 21974834)
 */
export declare function paymentsAccount(customerId: string | number, paymentsAccountId: string | number): PaymentsAccountResourceName;
export type PerStoreViewResourceName = `customers/${StrNum}/perStoreViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} placeId
 * @returns `PerStoreViewResourceName`
 * @example const perStoreView: ResourceNames.PerStoreViewResourceName = ResourceNames.perStoreView(10987417, 21974834)
 */
export declare function perStoreView(customerId: string | number, placeId: string | number): PerStoreViewResourceName;
export type PerformanceMaxPlacementViewResourceName = `customers/${StrNum}/performanceMaxPlacementViews/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} base_64Placement
 * @returns `PerformanceMaxPlacementViewResourceName`
 * @example const performanceMaxPlacementView: ResourceNames.PerformanceMaxPlacementViewResourceName = ResourceNames.performanceMaxPlacementView(10987417, 21974834)
 */
export declare function performanceMaxPlacementView(customerId: string | number, base_64Placement: string | number): PerformanceMaxPlacementViewResourceName;
export type ProductCategoryConstantResourceName = `productCategoryConstants/${StrNum}~${StrNum}`;
/**
 * @param {string | number} level
 * @param {string | number} categoryId
 * @returns `ProductCategoryConstantResourceName`
 * @example const productCategoryConstant: ResourceNames.ProductCategoryConstantResourceName = ResourceNames.productCategoryConstant(10987417, 21974834)
 */
export declare function productCategoryConstant(level: string | number, categoryId: string | number): ProductCategoryConstantResourceName;
export type ProductGroupViewResourceName = `customers/${StrNum}/productGroupViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adgroupId
 * @param {string | number} criterionId
 * @returns `ProductGroupViewResourceName`
 * @example const productGroupView: ResourceNames.ProductGroupViewResourceName = ResourceNames.productGroupView(10987417, 21974834, 43949668)
 */
export declare function productGroupView(customerId: string | number, adgroupId: string | number, criterionId: string | number): ProductGroupViewResourceName;
export type ProductLinkResourceName = `customers/${StrNum}/productLinks/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} productLinkId
 * @returns `ProductLinkResourceName`
 * @example const productLink: ResourceNames.ProductLinkResourceName = ResourceNames.productLink(10987417, 21974834)
 */
export declare function productLink(customerId: string | number, productLinkId: string | number): ProductLinkResourceName;
export type ProductLinkInvitationResourceName = `customers/${StrNum}/productLinkInvitations/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customerInvitationId
 * @returns `ProductLinkInvitationResourceName`
 * @example const productLinkInvitation: ResourceNames.ProductLinkInvitationResourceName = ResourceNames.productLinkInvitation(10987417, 21974834)
 */
export declare function productLinkInvitation(customerId: string | number, customerInvitationId: string | number): ProductLinkInvitationResourceName;
export type QualifyingQuestionResourceName = `qualifyingQuestions/${StrNum}`;
/**
 * @param {string | number} qualifyingQuestionId
 * @returns `QualifyingQuestionResourceName`
 * @example const qualifyingQuestion: ResourceNames.QualifyingQuestionResourceName = ResourceNames.qualifyingQuestion(10987417)
 */
export declare function qualifyingQuestion(qualifyingQuestionId: string | number): QualifyingQuestionResourceName;
export type RecommendationResourceName = `customers/${StrNum}/recommendations/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} recommendationId
 * @returns `RecommendationResourceName`
 * @example const recommendation: ResourceNames.RecommendationResourceName = ResourceNames.recommendation(10987417, 21974834)
 */
export declare function recommendation(customerId: string | number, recommendationId: string | number): RecommendationResourceName;
export type RecommendationSubscriptionResourceName = `customers/${StrNum}/recommendationSubscriptions/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} recommendationType
 * @returns `RecommendationSubscriptionResourceName`
 * @example const recommendationSubscription: ResourceNames.RecommendationSubscriptionResourceName = ResourceNames.recommendationSubscription(10987417, 21974834)
 */
export declare function recommendationSubscription(customerId: string | number, recommendationType: string | number): RecommendationSubscriptionResourceName;
export type RemarketingActionResourceName = `customers/${StrNum}/remarketingActions/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} remarketingActionId
 * @returns `RemarketingActionResourceName`
 * @example const remarketingAction: ResourceNames.RemarketingActionResourceName = ResourceNames.remarketingAction(10987417, 21974834)
 */
export declare function remarketingAction(customerId: string | number, remarketingActionId: string | number): RemarketingActionResourceName;
export type SearchTermViewResourceName = `customers/${StrNum}/searchTermViews/${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} adGroupId
 * @param {string | number} query
 * @returns `SearchTermViewResourceName`
 * @example const searchTermView: ResourceNames.SearchTermViewResourceName = ResourceNames.searchTermView(10987417, 21974834, 43949668, 87899336)
 */
export declare function searchTermView(customerId: string | number, campaignId: string | number, adGroupId: string | number, query: string | number): SearchTermViewResourceName;
export type SharedCriterionResourceName = `customers/${StrNum}/sharedCriteria/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} sharedSetId
 * @param {string | number} criterionId
 * @returns `SharedCriterionResourceName`
 * @example const sharedCriterion: ResourceNames.SharedCriterionResourceName = ResourceNames.sharedCriterion(10987417, 21974834, 43949668)
 */
export declare function sharedCriterion(customerId: string | number, sharedSetId: string | number, criterionId: string | number): SharedCriterionResourceName;
export type SharedSetResourceName = `customers/${StrNum}/sharedSets/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} sharedSetId
 * @returns `SharedSetResourceName`
 * @example const sharedSet: ResourceNames.SharedSetResourceName = ResourceNames.sharedSet(10987417, 21974834)
 */
export declare function sharedSet(customerId: string | number, sharedSetId: string | number): SharedSetResourceName;
export type ShoppingPerformanceViewResourceName = `customers/${StrNum}/shoppingPerformanceView`;
/**
 * @param {string | number} customerId
 * @returns `ShoppingPerformanceViewResourceName`
 * @example const shoppingPerformanceView: ResourceNames.ShoppingPerformanceViewResourceName = ResourceNames.shoppingPerformanceView(10987417)
 */
export declare function shoppingPerformanceView(customerId: string | number): ShoppingPerformanceViewResourceName;
export type ShoppingProductResourceName = `customers/${StrNum}/shoppingProducts/${StrNum}~${StrNum}~${StrNum}~${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} merchantCenterId
 * @param {string | number} channel
 * @param {string | number} languageCode
 * @param {string | number} feedLabel
 * @param {string | number} itemId
 * @returns `ShoppingProductResourceName`
 * @example const shoppingProduct: ResourceNames.ShoppingProductResourceName = ResourceNames.shoppingProduct(10987417, 21974834, 43949668, 87899336, 175798672, 351597344)
 */
export declare function shoppingProduct(customerId: string | number, merchantCenterId: string | number, channel: string | number, languageCode: string | number, feedLabel: string | number, itemId: string | number): ShoppingProductResourceName;
export type SmartCampaignSearchTermViewResourceName = `customers/${StrNum}/smartCampaignSearchTermViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @param {string | number} query
 * @returns `SmartCampaignSearchTermViewResourceName`
 * @example const smartCampaignSearchTermView: ResourceNames.SmartCampaignSearchTermViewResourceName = ResourceNames.smartCampaignSearchTermView(10987417, 21974834, 43949668)
 */
export declare function smartCampaignSearchTermView(customerId: string | number, campaignId: string | number, query: string | number): SmartCampaignSearchTermViewResourceName;
export type SmartCampaignSettingResourceName = `customers/${StrNum}/smartCampaignSettings/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} campaignId
 * @returns `SmartCampaignSettingResourceName`
 * @example const smartCampaignSetting: ResourceNames.SmartCampaignSettingResourceName = ResourceNames.smartCampaignSetting(10987417, 21974834)
 */
export declare function smartCampaignSetting(customerId: string | number, campaignId: string | number): SmartCampaignSettingResourceName;
export type ThirdPartyAppAnalyticsLinkResourceName = `customers/${StrNum}/thirdPartyAppAnalyticsLinks/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} customerLinkId
 * @returns `ThirdPartyAppAnalyticsLinkResourceName`
 * @example const thirdPartyAppAnalyticsLink: ResourceNames.ThirdPartyAppAnalyticsLinkResourceName = ResourceNames.thirdPartyAppAnalyticsLink(10987417, 21974834)
 */
export declare function thirdPartyAppAnalyticsLink(customerId: string | number, customerLinkId: string | number): ThirdPartyAppAnalyticsLinkResourceName;
export type TopicConstantResourceName = `topicConstants/${StrNum}`;
/**
 * @param {string | number} topicId
 * @returns `TopicConstantResourceName`
 * @example const topicConstant: ResourceNames.TopicConstantResourceName = ResourceNames.topicConstant(10987417)
 */
export declare function topicConstant(topicId: string | number): TopicConstantResourceName;
export type TopicViewResourceName = `customers/${StrNum}/topicViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `TopicViewResourceName`
 * @example const topicView: ResourceNames.TopicViewResourceName = ResourceNames.topicView(10987417, 21974834, 43949668)
 */
export declare function topicView(customerId: string | number, adGroupId: string | number, criterionId: string | number): TopicViewResourceName;
export type TravelActivityGroupViewResourceName = `customers/${StrNum}/travelActivityGroupViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `TravelActivityGroupViewResourceName`
 * @example const travelActivityGroupView: ResourceNames.TravelActivityGroupViewResourceName = ResourceNames.travelActivityGroupView(10987417, 21974834, 43949668)
 */
export declare function travelActivityGroupView(customerId: string | number, adGroupId: string | number, criterionId: string | number): TravelActivityGroupViewResourceName;
export type TravelActivityPerformanceViewResourceName = `customers/${StrNum}/travelActivityPerformanceViews`;
/**
 * @param {string | number} customerId
 * @returns `TravelActivityPerformanceViewResourceName`
 * @example const travelActivityPerformanceView: ResourceNames.TravelActivityPerformanceViewResourceName = ResourceNames.travelActivityPerformanceView(10987417)
 */
export declare function travelActivityPerformanceView(customerId: string | number): TravelActivityPerformanceViewResourceName;
export type UserInterestResourceName = `customers/${StrNum}/userInterests/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} userInterestId
 * @returns `UserInterestResourceName`
 * @example const userInterest: ResourceNames.UserInterestResourceName = ResourceNames.userInterest(10987417, 21974834)
 */
export declare function userInterest(customerId: string | number, userInterestId: string | number): UserInterestResourceName;
export type UserListResourceName = `customers/${StrNum}/userLists/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} userListId
 * @returns `UserListResourceName`
 * @example const userList: ResourceNames.UserListResourceName = ResourceNames.userList(10987417, 21974834)
 */
export declare function userList(customerId: string | number, userListId: string | number): UserListResourceName;
export type UserListCustomerTypeResourceName = `customers/${StrNum}/userListCustomerTypes/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} userListId
 * @param {string | number} semanticLabel
 * @returns `UserListCustomerTypeResourceName`
 * @example const userListCustomerType: ResourceNames.UserListCustomerTypeResourceName = ResourceNames.userListCustomerType(10987417, 21974834, 43949668)
 */
export declare function userListCustomerType(customerId: string | number, userListId: string | number, semanticLabel: string | number): UserListCustomerTypeResourceName;
export type UserLocationViewResourceName = `customers/${StrNum}/userLocationViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} countryCriterionId
 * @param {string | number} isTargetingLocation
 * @returns `UserLocationViewResourceName`
 * @example const userLocationView: ResourceNames.UserLocationViewResourceName = ResourceNames.userLocationView(10987417, 21974834, 43949668)
 */
export declare function userLocationView(customerId: string | number, countryCriterionId: string | number, isTargetingLocation: string | number): UserLocationViewResourceName;
export type VideoResourceName = `customers/${StrNum}/videos/${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} videoId
 * @returns `VideoResourceName`
 * @example const video: ResourceNames.VideoResourceName = ResourceNames.video(10987417, 21974834)
 */
export declare function video(customerId: string | number, videoId: string | number): VideoResourceName;
export type WebpageViewResourceName = `customers/${StrNum}/webpageViews/${StrNum}~${StrNum}`;
/**
 * @param {string | number} customerId
 * @param {string | number} adGroupId
 * @param {string | number} criterionId
 * @returns `WebpageViewResourceName`
 * @example const webpageView: ResourceNames.WebpageViewResourceName = ResourceNames.webpageView(10987417, 21974834, 43949668)
 */
export declare function webpageView(customerId: string | number, adGroupId: string | number, criterionId: string | number): WebpageViewResourceName;
export {};
